Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ossl_pkcs7.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | Init_ossl_pkcs7 (void)

## Variables
VALUE | cPKCS7
VALUE | cPKCS7Signer
VALUE | cPKCS7Recipient
VALUE | ePKCS7Error

## Function Documentation

void Init_ossl_pkcs7 | ( | void |  | ) |

Definition at line 981 of file ossl_pkcs7.c.

References BINARY, cPKCS7, cPKCS7Recipient, cPKCS7Signer, DefPKCS7Const, eOSSLError, ePKCS7Error, mOSSL, ossl_pkcs7_add_certificate(), ossl_pkcs7_add_crl(), ossl_pkcs7_add_data(), ossl_pkcs7_add_recipient(), ossl_pkcs7_add_signer(), ossl_pkcs7_alloc(), ossl_pkcs7_copy(), ossl_pkcs7_decrypt(), ossl_pkcs7_detached_p(), ossl_pkcs7_get_certificates(), ossl_pkcs7_get_crls(), ossl_pkcs7_get_detached(), ossl_pkcs7_get_recipient(), ossl_pkcs7_get_signer(), ossl_pkcs7_get_type(), ossl_pkcs7_initialize(), ossl_pkcs7_s_encrypt(), ossl_pkcs7_s_read_smime(), ossl_pkcs7_s_sign(), ossl_pkcs7_s_write_smime(), ossl_pkcs7_set_certificates(), ossl_pkcs7_set_cipher(), ossl_pkcs7_set_crls(), ossl_pkcs7_set_detached(), ossl_pkcs7_set_type(), ossl_pkcs7_to_der(), ossl_pkcs7_to_pem(), ossl_pkcs7_verify(), ossl_pkcs7ri_alloc(), ossl_pkcs7ri_get_enc_key(), ossl_pkcs7ri_get_issuer(), ossl_pkcs7ri_get_serial(), ossl_pkcs7ri_initialize(), ossl_pkcs7si_alloc(), ossl_pkcs7si_get_issuer(), ossl_pkcs7si_get_serial(), ossl_pkcs7si_get_signed_time(), ossl_pkcs7si_initialize(), Qfalse, rb_attr(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_copy_func, rb_define_method(), rb_define_singleton_method(), and rb_intern.

Referenced by Init_openssl().

## Variable Documentation

VALUE cPKCS7

Definition at line 74 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7(), ossl_pkcs7_s_encrypt(), ossl_pkcs7_s_read_smime(), and ossl_pkcs7_s_sign().

VALUE cPKCS7Recipient

Definition at line 76 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7(), and ossl_pkcs7ri_new().

VALUE cPKCS7Signer

Definition at line 75 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7(), and ossl_pkcs7si_new().

VALUE ePKCS7Error

Definition at line 77 of file ossl_pkcs7.c.

Referenced by DupPKCS7RecipientPtr(), DupPKCS7SignerPtr(), Init_ossl_pkcs7(), ossl_pkcs7_add_certificate(), ossl_pkcs7_add_crl(), ossl_pkcs7_add_data(), ossl_pkcs7_add_recipient(), ossl_pkcs7_add_signer(), ossl_pkcs7_alloc(), ossl_pkcs7_copy(), ossl_pkcs7_decrypt(), ossl_pkcs7_get_recipient(), ossl_pkcs7_get_signer(), ossl_pkcs7_s_encrypt(), ossl_pkcs7_s_read_smime(), ossl_pkcs7_s_sign(), ossl_pkcs7_s_write_smime(), ossl_pkcs7_set_cipher(), ossl_pkcs7_set_detached(), ossl_pkcs7_set_type(), ossl_pkcs7_sym2typeid(), ossl_pkcs7_to_der(), ossl_pkcs7_to_pem(), ossl_pkcs7_verify(), ossl_pkcs7ri_alloc(), ossl_pkcs7ri_initialize(), ossl_pkcs7ri_new(), ossl_pkcs7si_alloc(), ossl_pkcs7si_get_signed_time(), ossl_pkcs7si_initialize(), and ossl_pkcs7si_new().